package com.bankaudit.dto.process;

import com.bankaudit.process.model.AuditSchedule;

public class EmailTemplateDto {
	
	private Integer legalEntityCode;
	private String auditId;
	private String auditTypeCode;
	private String planId;
	private String HOEmailId;
	private String parentUnitCode;
	private String parentUnitName;
	private String parentEmailId;	
	private String parentContactPersonName;
	private String unitCode;
	private String unitName;
	private String unitEmailId;
	private String unitContactPersonName;
	private String unitContactPersonCode;
	private String unitCity;
	private String unitDistrict;
	private String unitState;
	private String unitPincode;
	private String unitAddress1;
	private String unitAddress2;
	private String unitAddress3;
	
	private String scheduleStartDate;
	private String scheduleEndDate;
	private String actualStartDate;
	private String actualEndDate;
	private String reportDate;
	private String fyEndDate;
	private String finaliseDate;
	private String dispatchDate;
	private String repSubmissionFromDispDt;
	private String respondDate;
	private String respondTargetEndDate;
	private String reviewDate;
	private String closeDate;
	private String auditSerialNo;
	
	private String leadId;
	private String leadName;
	private String leadDesignation;
	private String leadEmail;
	private String memberName;
	private String memberEmails;
	private String issuingOfficerName;
	private String issuingOfficerDesignation;
	
	private String bankUserId;
	private String bankUserName;
	private String bankUserDesignation;
	
	private String reveiwerId;
	private String reveiwerName;
	private String reveiwerDesignation;
	private String reveiwerEmail;
	private String leadReveiwerEmail;
	
	private String allocatorId;
	private String allocatorName;
	private String allocatorEmail;
	private String allocatorsEmail;
	
	private String reportReveiwerId;
	private String reportReveiwerName;
	private String reportReveiwerEmail;
	
	private String financialYear;	
	
	private String compFurtherSubmissionDays;
	private Integer compFurtherRecords;
	
	private AuditSchedule auditScheduleTmp;
		
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getPlanId() {
		return planId;
	}
	public void setPlanId(String planId) {
		this.planId = planId;
	}
	public String getHOEmailId() {
		return HOEmailId;
	}
	public void setHOEmailId(String hOEmailId) {
		HOEmailId = hOEmailId;
	}
	public String getParentUnitCode() {
		return parentUnitCode;
	}
	public void setParentUnitCode(String parentUnitCode) {
		this.parentUnitCode = parentUnitCode;
	}
	public String getParentUnitName() {
		return parentUnitName;
	}
	public void setParentUnitName(String parentUnitName) {
		this.parentUnitName = parentUnitName;
	}
	public String getParentEmailId() {
		return parentEmailId;
	}
	public void setParentEmailId(String parentEmailId) {
		this.parentEmailId = parentEmailId;
	}
	public String getParentContactPersonName() {
		return parentContactPersonName;
	}
	public void setParentContactPersonName(String parentContactPersonName) {
		this.parentContactPersonName = parentContactPersonName;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getUnitEmailId() {
		return unitEmailId;
	}
	public void setUnitEmailId(String unitEmailId) {
		this.unitEmailId = unitEmailId;
	}
	public String getUnitContactPersonName() {
		return unitContactPersonName;
	}
	public void setUnitContactPersonName(String unitContactPersonName) {
		this.unitContactPersonName = unitContactPersonName;
	}
	public String getUnitContactPersonCode() {
		return unitContactPersonCode;
	}
	public void setUnitContactPersonCode(String unitContactPersonCode) {
		this.unitContactPersonCode = unitContactPersonCode;
	}
	public String getUnitCity() {
		return unitCity;
	}
	public void setUnitCity(String unitCity) {
		this.unitCity = unitCity;
	}
	public String getUnitDistrict() {
		return unitDistrict;
	}
	public void setUnitDistrict(String unitDistrict) {
		this.unitDistrict = unitDistrict;
	}
	public String getUnitState() {
		return unitState;
	}
	public void setUnitState(String unitState) {
		this.unitState = unitState;
	}
	public String getUnitPincode() {
		return unitPincode;
	}
	public void setUnitPincode(String unitPincode) {
		this.unitPincode = unitPincode;
	}
	public String getUnitAddress1() {
		return unitAddress1;
	}
	public void setUnitAddress1(String unitAddress1) {
		this.unitAddress1 = unitAddress1;
	}
	public String getUnitAddress2() {
		return unitAddress2;
	}
	public void setUnitAddress2(String unitAddress2) {
		this.unitAddress2 = unitAddress2;
	}
	public String getUnitAddress3() {
		return unitAddress3;
	}
	public void setUnitAddress3(String unitAddress3) {
		this.unitAddress3 = unitAddress3;
	}
	public String getScheduleStartDate() {
		return scheduleStartDate;
	}
	public void setScheduleStartDate(String scheduleStartDate) {
		this.scheduleStartDate = scheduleStartDate;
	}
	public String getScheduleEndDate() {
		return scheduleEndDate;
	}
	public void setScheduleEndDate(String scheduleEndDate) {
		this.scheduleEndDate = scheduleEndDate;
	}
	public String getActualStartDate() {
		return actualStartDate;
	}
	public void setActualStartDate(String actualStartDate) {
		this.actualStartDate = actualStartDate;
	}
	public String getActualEndDate() {
		return actualEndDate;
	}
	public void setActualEndDate(String actualEndDate) {
		this.actualEndDate = actualEndDate;
	}
	public String getReportDate() {
		return reportDate;
	}
	public void setReportDate(String reportDate) {
		this.reportDate = reportDate;
	}
	public String getFyEndDate() {
		return fyEndDate;
	}
	public void setFyEndDate(String fyEndDate) {
		this.fyEndDate = fyEndDate;
	}
	public String getFinaliseDate() {
		return finaliseDate;
	}
	public void setFinaliseDate(String finaliseDate) {
		this.finaliseDate = finaliseDate;
	}
	public String getDispatchDate() {
		return dispatchDate;
	}
	public void setDispatchDate(String dispatchDate) {
		this.dispatchDate = dispatchDate;
	}
	public String getRepSubmissionFromDispDt() {
		return repSubmissionFromDispDt;
	}
	public void setRepSubmissionFromDispDt(String repSubmissionFromDispDt) {
		this.repSubmissionFromDispDt = repSubmissionFromDispDt;
	}
	public String getRespondDate() {
		return respondDate;
	}
	public void setRespondDate(String respondDate) {
		this.respondDate = respondDate;
	}
	public String getRespondTargetEndDate() {
		return respondTargetEndDate;
	}
	public void setRespondTargetEndDate(String respondTargetEndDate) {
		this.respondTargetEndDate = respondTargetEndDate;
	}
	public String getReviewDate() {
		return reviewDate;
	}
	public void setReviewDate(String reviewDate) {
		this.reviewDate = reviewDate;
	}
	public String getCloseDate() {
		return closeDate;
	}
	public void setCloseDate(String closeDate) {
		this.closeDate = closeDate;
	}
	public String getAuditSerialNo() {
		return auditSerialNo;
	}
	public void setAuditSerialNo(String auditSerialNo) {
		this.auditSerialNo = auditSerialNo;
	}
	public String getLeadId() {
		return leadId;
	}
	public void setLeadId(String leadId) {
		this.leadId = leadId;
	}
	public String getLeadName() {
		return leadName;
	}
	public void setLeadName(String leadName) {
		this.leadName = leadName;
	}
	public String getLeadDesignation() {
		return leadDesignation;
	}
	public void setLeadDesignation(String leadDesignation) {
		this.leadDesignation = leadDesignation;
	}
	public String getLeadEmail() {
		return leadEmail;
	}
	public void setLeadEmail(String leadEmail) {
		this.leadEmail = leadEmail;
	}
	public String getMemberName() {
		return memberName;
	}
	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}
	public String getMemberEmails() {
		return memberEmails;
	}
	public void setMemberEmails(String memberEmails) {
		this.memberEmails = memberEmails;
	}
	public String getIssuingOfficerName() {
		return issuingOfficerName;
	}
	public void setIssuingOfficerName(String issuingOfficerName) {
		this.issuingOfficerName = issuingOfficerName;
	}
	public String getIssuingOfficerDesignation() {
		return issuingOfficerDesignation;
	}
	public void setIssuingOfficerDesignation(String issuingOfficerDesignation) {
		this.issuingOfficerDesignation = issuingOfficerDesignation;
	}
	public String getBankUserId() {
		return bankUserId;
	}
	public void setBankUserId(String bankUserId) {
		this.bankUserId = bankUserId;
	}
	public String getBankUserName() {
		return bankUserName;
	}
	public void setBankUserName(String bankUserName) {
		this.bankUserName = bankUserName;
	}
	public String getBankUserDesignation() {
		return bankUserDesignation;
	}
	public void setBankUserDesignation(String bankUserDesignation) {
		this.bankUserDesignation = bankUserDesignation;
	}
	public String getReveiwerId() {
		return reveiwerId;
	}
	public void setReveiwerId(String reveiwerId) {
		this.reveiwerId = reveiwerId;
	}
	public String getReveiwerName() {
		return reveiwerName;
	}
	public void setReveiwerName(String reveiwerName) {
		this.reveiwerName = reveiwerName;
	}
	public String getReveiwerDesignation() {
		return reveiwerDesignation;
	}
	public void setReveiwerDesignation(String reveiwerDesignation) {
		this.reveiwerDesignation = reveiwerDesignation;
	}
	public String getReveiwerEmail() {
		return reveiwerEmail;
	}
	public void setReveiwerEmail(String reveiwerEmail) {
		this.reveiwerEmail = reveiwerEmail;
	}
	public String getLeadReveiwerEmail() {
		return leadReveiwerEmail;
	}
	public void setLeadReveiwerEmail(String leadReveiwerEmail) {
		this.leadReveiwerEmail = leadReveiwerEmail;
	}
	public String getAllocatorId() {
		return allocatorId;
	}
	public void setAllocatorId(String allocatorId) {
		this.allocatorId = allocatorId;
	}
	public String getAllocatorName() {
		return allocatorName;
	}
	public void setAllocatorName(String allocatorName) {
		this.allocatorName = allocatorName;
	}
	public String getAllocatorEmail() {
		return allocatorEmail;
	}
	public void setAllocatorEmail(String allocatorEmail) {
		this.allocatorEmail = allocatorEmail;
	}
	public String getAllocatorsEmail() {
		return allocatorsEmail;
	}
	public void setAllocatorsEmail(String allocatorsEmail) {
		this.allocatorsEmail = allocatorsEmail;
	}
	public String getReportReveiwerId() {
		return reportReveiwerId;
	}
	public void setReportReveiwerId(String reportReveiwerId) {
		this.reportReveiwerId = reportReveiwerId;
	}
	public String getReportReveiwerName() {
		return reportReveiwerName;
	}
	public void setReportReveiwerName(String reportReveiwerName) {
		this.reportReveiwerName = reportReveiwerName;
	}
	public String getReportReveiwerEmail() {
		return reportReveiwerEmail;
	}
	public void setReportReveiwerEmail(String reportReveiwerEmail) {
		this.reportReveiwerEmail = reportReveiwerEmail;
	}
	public String getFinancialYear() {
		return financialYear;
	}
	public void setFinancialYear(String financialYear) {
		this.financialYear = financialYear;
	}
	public String getCompFurtherSubmissionDays() {
		return compFurtherSubmissionDays;
	}
	public void setCompFurtherSubmissionDays(String compFurtherSubmissionDays) {
		this.compFurtherSubmissionDays = compFurtherSubmissionDays;
	}
	public Integer getCompFurtherRecords() {
		return compFurtherRecords;
	}
	public void setCompFurtherRecords(Integer compFurtherRecords) {
		this.compFurtherRecords = compFurtherRecords;
	}
	public AuditSchedule getAuditScheduleTmp() {
		return auditScheduleTmp;
	}
	public void setAuditScheduleTmp(AuditSchedule auditScheduleTmp) {
		this.auditScheduleTmp = auditScheduleTmp;
	}
	
	
}
